#
# Linux/options.mk ---	Part of Makefile for PFE, compiler options for Linux.
#

PREFIX	= /usr/local
PFELIB	= $(PREFIX)/lib/pfe
PFEHLP	= $(PFELIB)/help

CC	= gcc -m486 -pipe -Wall

# comment out -DUNROLL_NEXT when you run it on a Pentium
OPTIM	= -O2 -fomit-frame-pointer -DUSE_REGS -DUNROLL_NEXT

# specifying -ansi -pedantic disables global register variables
DEBUG	= -g -O -ansi -pedantic

CL	= $(CC)
CPP	= $(CC) -E

OPTIONS	=
LIBS	= -ltermcap -lm

# It's possible to use the improved ncurses library like this
# but it has no advantages.
#OPTIONS = -I/usr/include/ncurses
#LIBS	= -lncurses -lm

STRIP	= -s
LFLAGS	= 
TERM_O	= termunix$o
SYS_O	= unix$o


